Package org.optaplanner.core.impl.score.director.drools.testgen.operation

## Class TestGenKieSessionUpdate

- java.lang.Object
- - org.optaplanner.core.impl.score.director.drools.testgen.operation.TestGenKieSessionUpdate

- All Implemented Interfaces:
    `TestGenKieSessionOperation`

      public class TestGenKieSessionUpdate
      extends Object
      implements TestGenKieSessionOperation

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TestGenKieSessionUpdate​(int id, TestGenFact entity, VariableDescriptor<?> variableDescriptor, TestGenFact value)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TestGenFact` | `getValue()` | Get the value that is used to update a fact's field (an entity's variable).
    `void` | `invoke​(org.kie.api.runtime.KieSession kieSession)` |
    `void` | `print​(StringBuilder sb)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TestGenKieSessionUpdate

          public TestGenKieSessionUpdate​(int id,
                                         TestGenFact entity,
                                         VariableDescriptor<?> variableDescriptor,
                                         TestGenFact value)

  - ### Method Detail

    - #### getValue

          public TestGenFact getValue()

      Get the value that is used to update a fact's field (an entity's variable).
      Returns:
        a TestGenFact representing the new value, never null (null value is represented by `TestGenNullFact`)

    - #### invoke

          public void invoke​(org.kie.api.runtime.KieSession kieSession)

      Specified by:
        `invoke` in interface `TestGenKieSessionOperation`

    - #### print

          public void print​(StringBuilder sb)

      Specified by:
        `print` in interface `TestGenKieSessionOperation`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`